<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_171) on Sat Aug 25 23:47:48 CEST 2018 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AppUtils</title>
<meta name="date" content="2018-08-25">
<meta name="keywords" content="markus.keingeldfuerdiemensa.backend.AppUtils class">
<meta name="keywords" content="INSTANCE">
<meta name="keywords" content="getCalculationPeriod()">
<meta name="keywords" content="getStartDate()">
<meta name="keywords" content="toCurrencyString()">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AppUtils";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/AppUtils.html" target="_top">Frames</a></li>
<li><a href="AppUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">markus.keingeldfuerdiemensa.backend</div>
<h2 title="Class AppUtils" class="title">Class AppUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>markus.keingeldfuerdiemensa.backend.AppUtils</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">AppUtils</span></pre>
<div class="block"><p><p>statisches Objekt mit Hilfsfunktionen, die an verschiedenen Stellen der App benutzt werden</p></p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html" title="type parameter in AppUtils">AppUtils</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html#INSTANCE">INSTANCE</a></span></code>
<div class="block">statisches Objekt mit Hilfsfunktionen, die an verschiedenen Stellen der App benutzt werden</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="type parameter in CalculationPeriod">CalculationPeriod</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html#getCalculationPeriod-c-">getCalculationPeriod</a></span>(android.content.Context&nbsp;c)</code>
<div class="block">Gibt das Feld des Enum zurück, welches dem vom Benutzer ausgewählten Berechnungszeitraum entspricht</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>java.util.Date</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html#getStartDate-dateNow-c-">getStartDate</a></span>(java.util.Date&nbsp;dateNow,
            android.content.Context&nbsp;c)</code>
<div class="block">Gibt die Startzeit des Berechnungszeitraumes basierend auf den Benutzer-Einstellungen zurück</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html#toCurrencyString-f-">toCurrencyString</a></span>(float&nbsp;f)</code>
<div class="block">konvertiert eine <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html">Float</a> zu einem <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, der einen Geldbetrag widerspiegelt - basierend auf <a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html#toCurrencyString-i-">toCurrencyString</a></span>(int&nbsp;i)</code>
<div class="block">konvertiert einen <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a> zu einem <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, der einen Geldbetrag widerspiegelt - basierend auf <a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="INSTANCE">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>INSTANCE</h4>
<pre>public static&nbsp;<a href="../../../markus/keingeldfuerdiemensa/backend/AppUtils.html" title="type parameter in AppUtils">AppUtils</a> INSTANCE</pre>
<div class="block"><p><p>statisches Objekt mit Hilfsfunktionen, die an verschiedenen Stellen der App benutzt werden</p></p></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCalculationPeriod-c-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCalculationPeriod</h4>
<pre>public&nbsp;<a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="type parameter in CalculationPeriod">CalculationPeriod</a>&nbsp;getCalculationPeriod(android.content.Context&nbsp;c)</pre>
<div class="block"><p><p>Gibt das Feld des Enum zurück, welches dem vom Benutzer ausgewählten Berechnungszeitraum entspricht</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - App-Kontext</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>aktuelle <a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend"><code>enum CalculationPeriod</code></a></dd>
</dl>
</li>
</ul>
<a name="getStartDate-dateNow-c-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStartDate</h4>
<pre>public&nbsp;java.util.Date&nbsp;getStartDate(java.util.Date&nbsp;dateNow,
                                   android.content.Context&nbsp;c)</pre>
<div class="block"><p><p>Gibt die Startzeit des Berechnungszeitraumes basierend auf den Benutzer-Einstellungen zurück</p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dateNow</code> - <a href="https://developer.android.com/reference/java/util/Date.html">Date</a>-Objekt, welches die aktuelle Zeit beinhaltet</dd>
<dd><code>c</code> - App-Kontext</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><a href="https://developer.android.com/reference/java/util/Date.html">Date</a>-Objekt, welches die Anfangszeit der sichtbaren Einträge beinhaltet (basierend auf den Benutzer-Einstellungen der Berechnungszeit)</dd>
</dl>
</li>
</ul>
<a name="toCurrencyString-f-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toCurrencyString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toCurrencyString(float&nbsp;f)</pre>
<div class="block"><p><p>konvertiert eine <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html">Float</a> zu einem <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, der einen Geldbetrag widerspiegelt - basierend auf <a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f</code> - <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html">Float</a>, der konvertiert werden soll</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>konvertierten <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-float/index.html">Float</a>, 
<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, 
<a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></dd>
</dl>
</li>
</ul>
<a name="toCurrencyString-i-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toCurrencyString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toCurrencyString(int&nbsp;i)</pre>
<div class="block"><p><p>konvertiert einen <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a> zu einem <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, der einen Geldbetrag widerspiegelt - basierend auf <a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></p></p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>i</code> - <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a>, der konvertiert werden soll</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>konvertierten <a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html">Int</a>, 
<a href="https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html">String</a>, 
<a href="https://developer.android.com/reference/java/text/NumberFormat.html#getCurrencyInstance()">NumberFormat.getCurrencyInstance</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../markus/keingeldfuerdiemensa/backend/CalculationPeriod.html" title="enum in markus.keingeldfuerdiemensa.backend"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?markus/keingeldfuerdiemensa/backend/AppUtils.html" target="_top">Frames</a></li>
<li><a href="AppUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
